Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Struct Nes::Core::Input::Controllers::Zapper

struct Nes::Core::Input::Controllers::Zapper

Standard light gun.

Inner Classes, Typedefs, and Enums
`typedef` | `Nes::Core::Input::Controllers::Zapper::PollCallback`

Field Summary
`static PollCaller1< Zapper >` | `callback`
`uint` | `fire`
`uint` | `x`
`uint` | `y`

Constructor Summary
`Zapper()`

Field Detail

### callback

    public static PollCaller1< Zapper > callback;

### fire

    public uint fire;

### x

    public uint x;

### y

    public uint y;

Constructor Detail

### Zapper

    public Zapper();

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD